Skip to main content

Get Processor

GET /processors/:id

Get a processor with its full configuration including all routing rules (ordered by position) and associated workflows.

Path Parameters

ParameterTypeDescription
idstring (uuid)Processor ID

Example

curl -X GET https://api.getnexor.ai/api/public/processors/abc-123-uuid \
-H "X-API-Key: nxr_live_your_api_key"

Responses

200 — Processor retrieved

{
"success": true,
"processor": {
"id": "abc-123-uuid",
"name": "Language Router",
"description": "Routes leads to ES or EN workflows based on metadata.language",
"default_workflow_id": "uuid-of-es-workflow",
"default_workflow": {
"id": "uuid-of-es-workflow",
"name": "Enlace de Pago Enviado"
},
"is_active": true,
"rules": [
{
"id": "rule-1-uuid",
"name": "English leads",
"position": 1,
"is_active": true,
"conditions": [
{
"field": "metadata.language",
"operator": "eq",
"value": "EN"
}
],
"workflow_id": "uuid-of-en-workflow",
"workflow": {
"id": "uuid-of-en-workflow",
"name": "Payment Link Sent"
}
},
{
"id": "rule-2-uuid",
"name": "Spanish leads",
"position": 2,
"is_active": true,
"conditions": [
{
"field": "metadata.language",
"operator": "eq",
"value": "ES"
}
],
"workflow_id": "uuid-of-es-workflow",
"workflow": {
"id": "uuid-of-es-workflow",
"name": "Enlace de Pago Enviado"
}
}
],
"created_at": "2026-03-31T12:00:00Z",
"updated_at": "2026-03-31T12:00:00Z"
}
}

401 — Authentication error

See Authentication.

404 — Not found

{
"error": "Not found",
"message": "Processor not found or does not belong to your account"
}

500 — Internal server error